local PLUGIN = PLUGIN

net.Receive("ixWarnMenu", function()
    local admins = net.ReadTable()
    local warns = net.ReadTable()

    if (IsValid(ix.gui.warnMenu)) then
        ix.gui.warnMenu:Remove()
    end

    ix.gui.warnMenu = vgui.Create("ixWarnMenu")
    ix.gui.warnMenu:Populate(admins, warns)
end)
